## net.i2p.router.transport
Interface FIFOBandwidthLimiter.Request

Enclosing interface:
  FIFOBandwidthLimiter

public static interface FIFOBandwidthLimiter.Request

Method Summary
`void` `abort()` we no longer want the data requested (the connection closed)
`boolean` `getAborted()` was this request aborted?
`int` `getPendingInboundRequested()` how many inbound bytes were requested and haven't yet been allocated?
`int` `getPendingOutboundRequested()` how many outbound bytes were requested and haven't yet been allocated?
`java.lang.String` `getRequestName()` describe this particular request
`long` `getRequestTime()` when was the request made?
`int` `getTotalInboundRequested()` how many inbound bytes were requested?
`int` `getTotalOutboundRequested()` how many outbound bytes were requested?
`void` `init(int in, int out, java.lang.String target)` thar be dragons
`void` `waitForNextAllocation()` block until we are allocated some more bytes

Method Detail

### getRequestName

    public java.lang.String getRequestName()

  describe this particular request

### getRequestTime

    public long getRequestTime()

  when was the request made?

### getTotalOutboundRequested

    public int getTotalOutboundRequested()

  how many outbound bytes were requested?

### getPendingOutboundRequested

    public int getPendingOutboundRequested()

  how many outbound bytes were requested and haven't yet been allocated?

### getTotalInboundRequested

    public int getTotalInboundRequested()

  how many inbound bytes were requested?

### getPendingInboundRequested

    public int getPendingInboundRequested()

  how many inbound bytes were requested and haven't yet been allocated?

### waitForNextAllocation

    public void waitForNextAllocation()

  block until we are allocated some more bytes

### abort

    public void abort()

  we no longer want the data requested (the connection closed)

### getAborted

    public boolean getAborted()

  was this request aborted?

### init

    public void init(int in,
                     int out,
                     java.lang.String target)

  thar be dragons